package com.ruoyi.ibs.list.service;

import com.ruoyi.ibs.list.domain.*;

import java.util.List;


/**
 * 建档客户信息Service接口
 * 
 * @author ruoyi
 * @date 2024-12-19
 */
public interface ICustInfoRecordService 
{
    /**
     * 查询建档客户信息
     * 
     * @param id 建档客户信息主键
     * @return 建档客户信息
     */
    public CustInfoRecord selectCustInfoRecordById(Long id);

    public CustInfoRecordVo selectCustInfoRecordDetailById(Long id);

    /**
     * 查询建档客户信息列表
     * 
     * @param custInfoRecord 建档客户信息
     * @return 建档客户信息集合
     */
    public List<CustInfoRecord> selectCustInfoRecordList(CustInfoRecord custInfoRecord);

    /**
     * 根据关键词和客户类型查询建档客户信息列表
     *
     * @param custInfoRecord 建档客户信息
     * @return 建档客户信息集合
     */
    public List<CustInfoRecord> selectCustInfoRecordListByCustTypeAndKeywords(String custType,String keyword);

    /**
     * 新增建档客户信息
     * 
     * @param custInfoRecord 建档客户信息
     * @return 结果
     */
    public int insertCustInfoRecord(CustInfoRecord custInfoRecord);

    /**
     * 新增建档客户信息
     *
     * @param custInfoRecord 建档客户信息
     * @return 结果
     */
    public int insertCustInfoRecordDetail(CustInfoRecord custInfoRecord, List<FamilyMembersRecord> familyMembersRecords, List<RecordRelate> recordRelates);

    /**
     * 修改建档客户信息
     * 
     * @param custInfoRecord 建档客户信息
     * @return 结果
     */
    public int updateCustInfoRecord(CustInfoRecord custInfoRecord);

    /**
     * 批量删除建档客户信息
     * 
     * @param ids 需要删除的建档客户信息主键集合
     * @return 结果
     */
    public int deleteCustInfoRecordByIds(Long[] ids);

    /**
     * 删除建档客户信息信息
     * 
     * @param id 建档客户信息主键
     * @return 结果
     */
    public int deleteCustInfoRecordById(Long id);


    public int updateLable(CustLableDTO custLableDTO);

    CustInfoRecordVo selectCustInfoByCustTypeAndCustId(String custType, String custId);
}
